GET /query/jobs/{job-id}
Operation ID: GET_DataQueryJob
Auth: unknown
Description
Retrieves a [data query](https://knowledgecenter.zuora.com/DC_Developers/BA_Data_Query) job. You can use this operation to track the status of the query job and obtain the URL of the query results. If you are an administrator, you can retrieve every query job in your tenant. If you are a non-admin user and try to retrieve a query job that you are not the owner of, you will get a 403 response indicating that you are forbidden from viewing this job. As a non-admin user, you can only retrieve your own query job.
Parameters (4)
(string, header, required)
`Bearer {token}` for a valid OAuth token.
(string, header, optional)
An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.
(string, header, optional)
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
Constraints: {'maxLength': 64}
(string, path, required)
Internal identifier of the query job.
Constraints: {'minLength': 36, 'maxLength': 36}
No probe data for this endpoint yet.